Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class Operator

    java.lang.Object
      com.plumtree.remote.prc.Operator

public class Operator
extends java.lang.Object

An enumerated type describing all operators that can be used in query filters.

Field Summary
`static Operator` | `Contains` Operator "contains".
`static Operator` | `DoesNotContain` Operator "does not contain".
`static Operator` | `Equals` Operator "equals".
`static Operator` | `GreaterThan` Operator "greater than".
`static Operator` | `GreaterThanOrEquals` Operator "greater than or equals".
`static Operator` | `In` Operator "in".
`static Operator` | `IsEmpty` Operator "is empty".
`static Operator` | `IsNotEmpty` Operator "is not empty".
`static Operator` | `LessThan` Operator "less than".
`static Operator` | `LessThanOrEquals` Operator "less than or equals".
`static Operator` | `NotEquals` Operator "not equals".

Method Summary
`int` | `toInteger()` Returns an integer ID of this operator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### In

    public static Operator In

  Operator "in". Used for array operations; analogous to a SQL IN clause.

### Equals

    public static Operator Equals

  Operator "equals".

### NotEquals

    public static Operator NotEquals

  Operator "not equals".

### LessThan

    public static Operator LessThan

  Operator "less than".

### GreaterThan

    public static Operator GreaterThan

  Operator "greater than".

### LessThanOrEquals

    public static Operator LessThanOrEquals

  Operator "less than or equals".

### GreaterThanOrEquals

    public static Operator GreaterThanOrEquals

  Operator "greater than or equals".

### Contains

    public static Operator Contains

  Operator "contains". Used for String operations; analogous to a SQL LIKE.

### DoesNotContain

    public static Operator DoesNotContain

  Operator "does not contain". Used with String operations; analogous to a negation of a SQL LIKE.

### IsEmpty

    public static Operator IsEmpty

  Operator "is empty".

### IsNotEmpty

    public static Operator IsNotEmpty

  Operator "is not empty".

Method Detail

### toInteger

    public int toInteger()

  Returns an integer ID of this operator.

  Returns:
    integer ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.